800-383-1623
Connect with us:
Standard

MICROSOFT INTERNET EXPLORER COMPATIBILITY

IMPORTANT NOTICE:
MICROSOFT INTERNET EXPLORER COMPATIBILITY 

With our pending website update scheduled on November 11, 2017, anyone using Microsoft Internet Explorer, all portals (Consumer Portal, Employer Portal, and Administrator Portal) will require Microsoft Internet Explorer 11.

  • When Microsoft issues security patches, the patches only support Internet Explorer (IE) 11. This is a key driver to the changes we are making to ensure data security. Using IE versions that are older than IE 11 could result in data security risks.
  • There is no change to the requirements for other browsers, specifically Chrome, Firefox, and Safari.
  • There will be a redirect message active from November 12 through November 30.  This message will notify members of the change and to update their browsers.  Beginning on December 1, 2017, users with IE browsers that older than IE 11 will encounter an error page.